## groovy.lang
Class IllegalPropertyAccessException

An exception occurred if a dynamic property dispatch fails with a field not accessible.

author:
  Jochen Theodorou

version:
  $Revision: 6778 $

Constructor Summary
`IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)`
`IllegalPropertyAccessException(Field field, Class clazz)`

Method Summary
`static String` | `makeMessage(String propertyName, Class clazz, int modifiers, boolean isField)`

Constructor Detail

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(Field field, Class clazz)

Method Detail

### makeMessage

    static String makeMessage(String propertyName, Class clazz, int modifiers, boolean isField)